﻿.mud-nav-link-text {
    color: var(--dark) !important;
}

.mud-table-sort-label:hover {
    color: var(--primary) !important;
}

.mud-dialog-title {
    background-color: var(--dark) !important;
    color: white;
}

.mud-button-close {
    color: white !important;
}

.mud-icon-button {
    color: var(--primary)
}

.mud-input.mud-input-underline:hover:not(.mud-disabled):before {
    border-bottom: 1px solid var(--primary) !important;
}

.mud-input.mud-input-underline:hover:not(.mud-disabled) {
    border-bottom: 1px solid var(--primary) !important;
}

.mud-disabled {
    background-color: #e9ecef !important;
    opacity: 1 !important;
}

input:disabled {
    background-color: #e9ecef !important;
    /*opacity: 1 !important;*/
}

.mud-data-grid .mud-table-cell .column-header:hover .column-options .sort-direction-icon, .mud-data-grid .mud-table-cell .column-header:hover .column-options .column-options-icon, .mud-data-grid .mud-table-cell .column-header:hover .column-options .drag-icon-options {
    opacity: .8;
    color: var(--primary) !important;
}

.mud-data-grid .mud-table-cell .column-header:hover .column-options .mud-menu .mud-icon-button-label {
    opacity: 1;
    color: var(--primary) !important;
}


.required:after {
    content: " *";
    color: red;
}

.mud-table-sticky-header * .mud-table-root .mud-table-head * .mud-table-cell:first-child {
    border-radius: 0px !important;
    border-color: transparent !important;
    background-color: var(--dark) !important;
}

.mud-button-root:disabled {
    color: grey !important;
    cursor: default !important;
    pointer-events: none !important
}

.mud-button-filled:disabled {
    background-color: var(--primary) !important;
}

.hr-sect {
    display: flex;
    flex-basis: 100%;
    align-items: center;
    color: rgba(0, 0, 0, 0.35);
    font-size: 12px;
    margin: 8px 0px;
}

.hr-sect::before,
.hr-sect::after {
    content: "";
    flex-grow: 1;
    background: rgba(0, 0, 0, 0.35);
    height: 1px;
    font-size: 0px;
    line-height: 0px;
    margin: 0px 16px;
}

.form-group {
    position: relative;
}

.mud-navmenu.mud-navmenu-default .mud-nav-link.active:not(.mud-nav-link-disabled) {
    color: var(--mud-palette-primary);
    background-color: white !important;
}
.mud-button:focus {
    outline: none;
    box-shadow: none;
}

.role-readonly .mud-icon-root.mud-svg-icon {
    background-color: lightgrey;
    border-radius: 4px;
    padding: 1px;
}
.role-readonly {
    cursor: not-allowed;
}